clang-tools 10.0.0

Namespaces | Functions | Variables
Shutdown.cpp File Reference
`#include "Shutdown.h"`
`#include <atomic>`
`#include <cstdlib>`
`#include <thread>`
Include dependency graph for Shutdown.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
void | clang::clangd::abortAfterTimeout (std::chrono::seconds Timeout)
| Causes this process to crash if still running after Timeout. More...
void | clang::clangd::requestShutdown ()
| Sets a flag to indicate that clangd was sent a shutdown signal, and the transport loop should exit at the next opportunity. More...
bool | clang::clangd::shutdownRequested ()
| Checks whether requestShutdown() was called. More...

## Variables
static std::atomic< bool > | clang::clangd::ShutdownRequested = {false}